com.sun.jna.ptr

## Class NativeLongByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.ptr.NativeLongByReference

All Implemented Interfaces:
  NativeMapped

    public class NativeLongByReference
    extends ByReference

### Constructor Summary

Constructors
Constructor and Description
`NativeLongByReference()`
`NativeLongByReference(NativeLong value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NativeLong` `getValue()`
`void` `setValue(NativeLong value)`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NativeLongByReference

    public NativeLongByReference()

#### NativeLongByReference

    public NativeLongByReference(NativeLong value)

### Method Detail

#### setValue

    public void setValue(NativeLong value)

#### getValue

    public NativeLong getValue()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.